Debian Bug report logs - #505053
FTBFS with GCC 4.4: missing #include

version graph

Package: pathfinder; Maintainer for pathfinder is Patrick Patterson <ppatters@debian.org>;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sat, 8 Nov 2008 19:57:01 UTC

Severity: serious

Tags: patch, sid, squeeze

Found in version 0.2.4-4

Fixed in version pathfinder/1.1.3-0.1

Done: Hideki Yamane (Debian-JP) <henrich@debian.or.jp>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Patrick Patterson <ppatters@debian.org>:
Bug#505053; Package pathfinder. (Sat, 08 Nov 2008 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Patrick Patterson <ppatters@debian.org>. (Sat, 08 Nov 2008 19:57:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS with GCC 4.4: missing #include
Date: Sat, 8 Nov 2008 20:46:53 +0100
Package: pathfinder
Version: 0.2.4-4
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.4
Tags: patch

Your package fails to build with the upcoming GCC 4.4.  Version 4.4
has not been released yet but I'm building with a snapshot in order
to find errors and give people an advance warning.

GCC 4.4 cleaned up some more C++ headers.  You always have to #include
headers directly and cannot rely for things to be included indirectly.

You can reproduce this problem with gcc-snapshot from unstable.

> Automatic build of pathfinder_0.2.4-4 on em64t by sbuild/amd64 0.53
...
> make[3]: Entering directory `/build/tbm/pathfinder-0.2.4'
> [ 48%] Building CXX object x509path/CMakeFiles/x509path.dir/wvx509path.o
> In file included from /build/tbm/pathfinder-0.2.4/x509path/wvx509path.cc:10:
> /build/tbm/pathfinder-0.2.4/x509path/wvx509path.h:37: error: 'uint32_t' has not been declared
> /build/tbm/pathfinder-0.2.4/x509path/wvx509path.cc:74: error: 'uint32_t' has not been declared
> make[3]: *** [x509path/CMakeFiles/x509path.dir/wvx509path.o] Error 1
> make[3]: Leaving directory `/build/tbm/pathfinder-0.2.4'
> make[2]: *** [x509path/CMakeFiles/x509path.dir/all] Error 2

--- x509path/wvx509path.cc~	2008-11-08 19:39:52.000000000 +0000
+++ x509path/wvx509path.cc	2008-11-08 19:40:04.000000000 +0000
@@ -6,6 +6,7 @@
  * This library is covered by the LGPL v2.1 or later, please read LICENSE for details.
  */ 
 
+#include <stdint.h>
 #include <wvstrutils.h>
 #include "wvx509path.h"
 #include "wvx509policytree.h"

-- 
Martin Michlmayr
http://www.cyrius.com/




Severity set to 'serious' from 'normal' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Fri, 11 Dec 2009 08:38:12 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 14 Dec 2009 13:21:32 GMT) Full text and rfc822 format available.

Reply sent to Hideki Yamane (Debian-JP) <henrich@debian.or.jp>:
You have taken responsibility. (Tue, 06 Apr 2010 22:48:30 GMT) Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. (Tue, 06 Apr 2010 22:48:30 GMT) Full text and rfc822 format available.

Message #14 received at 505053-close@bugs.debian.org (full text, mbox):

From: Hideki Yamane (Debian-JP) <henrich@debian.or.jp>
To: 505053-close@bugs.debian.org
Subject: Bug#505053: fixed in pathfinder 1.1.3-0.1
Date: Tue, 06 Apr 2010 22:45:42 +0000
Source: pathfinder
Source-Version: 1.1.3-0.1

We believe that the bug you reported is fixed in the latest version of
pathfinder, which is due to be installed in the Debian FTP archive:

libpathfinder-dev_1.1.3-0.1_amd64.deb
  to main/p/pathfinder/libpathfinder-dev_1.1.3-0.1_amd64.deb
libpathfinder-nss-1_1.1.3-0.1_amd64.deb
  to main/p/pathfinder/libpathfinder-nss-1_1.1.3-0.1_amd64.deb
libpathfinder-openssl-1_1.1.3-0.1_amd64.deb
  to main/p/pathfinder/libpathfinder-openssl-1_1.1.3-0.1_amd64.deb
pathfinder-utils_1.1.3-0.1_amd64.deb
  to main/p/pathfinder/pathfinder-utils_1.1.3-0.1_amd64.deb
pathfinder_1.1.3-0.1.debian.tar.gz
  to main/p/pathfinder/pathfinder_1.1.3-0.1.debian.tar.gz
pathfinder_1.1.3-0.1.dsc
  to main/p/pathfinder/pathfinder_1.1.3-0.1.dsc
pathfinder_1.1.3.orig.tar.gz
  to main/p/pathfinder/pathfinder_1.1.3.orig.tar.gz
pathfinderd_1.1.3-0.1_amd64.deb
  to main/p/pathfinder/pathfinderd_1.1.3-0.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 505053@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hideki Yamane (Debian-JP) <henrich@debian.or.jp> (supplier of updated pathfinder package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 03 Apr 2010 23:35:01 +0900
Source: pathfinder
Binary: pathfinderd pathfinder-utils libpathfinder-openssl-1 libpathfinder-nss-1 libpathfinder-dev
Architecture: source amd64
Version: 1.1.3-0.1
Distribution: sid
Urgency: low
Maintainer: Patrick Patterson <ppatters@debian.org>
Changed-By: Hideki Yamane (Debian-JP) <henrich@debian.or.jp>
Description: 
 libpathfinder-dev - Development files for pathfinder
 libpathfinder-nss-1 - Pathfinder integration Library for LibNSS
 libpathfinder-openssl-1 - Pathfinder integration Library for OpenSSL
 pathfinder-utils - Utilities to use with the Pathfinder Daemon
 pathfinderd - Daemon for X.509 Path Discovery and Validation
Closes: 505053 510696 542975
Changes: 
 pathfinder (1.1.3-0.1) unstable; urgency=low
 .
   * NMU with maintainer's ACK.
   * New upstream release
     - fix "FTBFS: iwvdbuslistener.h:13:24: error: wvcallback.h: No such file or
       directory" to use the new WvDBus in WvStreams (Closes: #542975)
     - Include stdint.h for GCC 4.4 compatibility.  (Closes: #505053)
     - Remove the send-interface lines from the DBUS configuration.
       (Closes: #510696)
   * switch to dpkg-source format3.0 (quilt)
   * debian/rules
     - cleanup, use debhelper7 (Thanks to Enrico Zini)
   * debian/control:
     - set "Build-Depends: debhelpher (>= 7.0.50~)"
     - Standards-Version: 3.8.4
     - add Homepage: field
     - libpathfinder-dev: add Depends: ${misc:Depends}
     - Build-Depends: "libldap2-dev", deal with cmake complains about
       "LDAP Development packages"
     - set "Build-Depends: libwvstreams-dev (>= 4.6.1)", to use package enabled
       with --with-dbus option
     - pathfinderd: add "Depends: dbus" to avoid "insserv: Service dbus has to
       be enabled to start service pathfinderd"
   * debian/copyright
     - add my name and specify GPL version 2
   * debian/watch: add it.
   * debian/pathfinderd.{default,dirs,init,postrm}
     - merge from SVN r200:r203, remove unnecessary "--test" argument and more.
Checksums-Sha1: 
 c36134682609bb9ec26c54d4cb17d95cf7c0f0da 1903 pathfinder_1.1.3-0.1.dsc
 827ed82ec1fcee1bdb5944778556945c7bbea5ac 281361 pathfinder_1.1.3.orig.tar.gz
 4dc55f35243acb80fe4bf896fb47dae3991cb13b 6135 pathfinder_1.1.3-0.1.debian.tar.gz
 bf88a57ccc737e15d4633450a4e0a38f6d0f7c1f 115214 pathfinderd_1.1.3-0.1_amd64.deb
 5cf8503480253f8c10792d186f1f05674878e3d1 113422 pathfinder-utils_1.1.3-0.1_amd64.deb
 ddbaa393c508339ff729b3cfaf57b10a027436d4 3612 libpathfinder-openssl-1_1.1.3-0.1_amd64.deb
 ae17b6f4f899054453952ea0de377e8b6a621f41 3600 libpathfinder-nss-1_1.1.3-0.1_amd64.deb
 c5300d205b4d5ef4408da24d2eeccb73e426e5e5 4458 libpathfinder-dev_1.1.3-0.1_amd64.deb
Checksums-Sha256: 
 4b192a04c58e81d77b66f854c53d0cac24578fbd740fea0f1a067060b53e3fb2 1903 pathfinder_1.1.3-0.1.dsc
 a81b09a306aa997980d76f2b6e9215e7b3a91ed4c5fb413b3c4d30513a5e1031 281361 pathfinder_1.1.3.orig.tar.gz
 0c91dd33e01ff16eea4c932c74cd4fed11818a035595739082347cf57d04457b 6135 pathfinder_1.1.3-0.1.debian.tar.gz
 96fa61b2f28b6604e0205d549178e7ee19c8ab7153cd67a155206454642f62f3 115214 pathfinderd_1.1.3-0.1_amd64.deb
 d65cc08194f0c04910976e3f07cb450951eae37823ecb5c8d55215ed3055d318 113422 pathfinder-utils_1.1.3-0.1_amd64.deb
 f35fb496862979ffde4063018ffe440c62d5508b8787585c9a78c241a46ab2cf 3612 libpathfinder-openssl-1_1.1.3-0.1_amd64.deb
 fcd2b67774e38fb3263463c275aed4ae9aca6d70bae1b0c02e5bd11098a62772 3600 libpathfinder-nss-1_1.1.3-0.1_amd64.deb
 416876159f9f5adebc6885512426593fa56ddaa7f8526a4c0baf1bcac7e8756b 4458 libpathfinder-dev_1.1.3-0.1_amd64.deb
Files: 
 0aba3e2a5901ecf1dbdf9421fd39d6f7 1903 utils optional pathfinder_1.1.3-0.1.dsc
 6985ea14da6dff30c3c4e5cfc8b3d0f7 281361 utils optional pathfinder_1.1.3.orig.tar.gz
 9da1c01765a592e02f15d178019e0f08 6135 utils optional pathfinder_1.1.3-0.1.debian.tar.gz
 2858a8fb8dc318086e65f836de732485 115214 utils optional pathfinderd_1.1.3-0.1_amd64.deb
 96f4600160a6f02a39982eeb8041ed20 113422 utils optional pathfinder-utils_1.1.3-0.1_amd64.deb
 11afb28c7cf71b58f1c687cd2f9c52bd 3612 libs optional libpathfinder-openssl-1_1.1.3-0.1_amd64.deb
 340994f312cc24b680b2f1984e3fc00b 3600 libs optional libpathfinder-nss-1_1.1.3-0.1_amd64.deb
 263956fee25ecce1e4d4c863c88a2d8a 4458 libdevel optional libpathfinder-dev_1.1.3-0.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLu7QiAAoJEB5qw/OH8O2spG0QANbhZ8xyi/+KIszCMq9PZ3A8
FRJg1JJJBD1GSGMzMJQkYJtUwSPKRjVicRRntvwzXLy2iy8VNFj8JzN3pE4a9EIN
wi9G769hVuQPW+VAv0mArFZjzZxxn6aBcWl9sMsTfPAglKgvxqKJukbGT6HpBoLd
KYi6YPDnEbDXMsABHfgYd1vq2VC8et4LBIrcbQq9MofXciCSoGVBJUqnJvRyMhB6
7gj5sP9a/Na7y8OBOPlObbDb8YtsV+krMdwaPZHkcjsxEasmJRGruI5Kdeo8IKYi
sqHzukQ/kRoDO2mkbLcyjlaFznS5Ht8kZG5iwGkrQJhUQBHWmz8CvIuQ6M1nsGNT
awoq1/5ye7uEDQDUSViMb+T5FIM0jeXRkF3XFkSddHi67pcYIyFv5Bqa36+FB+6x
S2TpWf1S5vqHiA2xHE3JDiEWKQP4Ovjb8EYYDZby0O6EorUYs8xRX4rj3Ca/Rk8X
3jhGcDevZAVsYZ9MqygVJsgjc9urboU9KPi5eAQsF8m5Uco0aq/JHwprl9MtfY13
VXX77x7FXyxQ4UtQX3wqCgC/Nrtm8Gtet3Ie/QnfdSGIl/tTq8WH2iy1qn4VLMIV
oC4sJJ9Za6Xz14d+fAYdj8irdXorlBkX45wnixpuRvt3LxB7BDXILL407Jof3ZdK
yfZgGQPQbgBRjBeQv0KH
=9KNy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:12:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:15:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.